Package org.postgresql.ssl

# Class PGjdbcHostnameVerifier

java.lang.Object
org.postgresql.ssl.PGjdbcHostnameVerifier

All Implemented Interfaces:
  `HostnameVerifier`

public class PGjdbcHostnameVerifier extends Object implements HostnameVerifier

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Comparator<String>`
`HOSTNAME_PATTERN_COMPARATOR`
`static final PGjdbcHostnameVerifier`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`PGjdbcHostnameVerifier()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`verify(String hostname, SSLSession session)`
`boolean`
`verifyHostName(@Nullable String hostname, @Nullable String pattern)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final PGjdbcHostnameVerifier INSTANCE

### HOSTNAME_PATTERN_COMPARATOR

public static final Comparator<String> HOSTNAME_PATTERN_COMPARATOR

## Constructor Details

### PGjdbcHostnameVerifier

public PGjdbcHostnameVerifier()

## Method Details

### verify

public boolean verify(String hostname, SSLSession session)

Specified by:
  `verify` in interface `HostnameVerifier`

### verifyHostName

public boolean verifyHostName(@Nullable String hostname, @Nullable String pattern)